@charset "utf-8";

// If need, change your variables before importing Bulma
// colors
$primary: #09b4c6;
$grey-dark: #09202e;
$white: #ffffff;
$sub-white: #859ba8;
// body
$body-color: hsl(0, 0%, 100%);
// tab
$tabs-link-color: #ffffffaa;
$tabs-border-bottom-color: #ffffffaa;
$tabs-link-active-color: $primary;
$tabs-link-active-border-bottom-color: $primary;
$tabs-link-hover-color: grey;
$tabs-link-hover-border-bottom-color: grey;

@import "~@natade-coco/react-pay-js/dist/index.css";
@import "~bulma/bulma.sass";
@import "~slick-carousel/slick/slick.css";
@import "~slick-carousel/slick/slick-theme.css";

html {
  background-color: white;
  user-select: none;
}

body,
button {
  font-family: "M PLUS 1p";
  color: black;
}

.main-content {
  // background: url(../images/cutie_bg.jpeg);
  // background-size: cover;
  // background-repeat: no-repeat;
  // background-position: center center;
  background-color: #bfe6f1;
  position: fixed;
  top: 0;
  z-index: -1;
  height: 100vh;
  width: 100vw;
}

.bg-filter {
  content: "";
  background-color: rgba(0, 0, 0, 0.2);
  position: absolute;
  position: fixed;
  height: 100vh;
  width: 100vw;
  z-index: -1;
}

.slick-track {
  z-index: 10;
}

#content {
  border: 3px solid #ddd;
  border-width: 0 3px 3px;
  display: inline-block;
  width: 100%;
}

.footer-area {
  background-color: $grey-dark;
  color: $sub-white;
  font-weight: 600;
  font-size: 12px;
  line-height: 1.6rem;
  padding: 1.4rem 1rem;
  div:active {
    opacity: 0.5;
  }
}

.doc-list {
  li {
    text-indent: -1em;
    padding-left: 1em;
  }
}

.edit-menu-tabs {
  justify-content: space-around;
  font-size: 18px;
  border-bottom-color: transparent !important;
  li.is-active a {
    text-shadow: 0px 0px 1px white, 0px 0px 1px white, 0px 0px 1px white, 0px 0px 1px white, 0px 0px 1px white;
    font-weight: bold;
  }
}

.print-list-item {
  box-shadow: 0px 3px 8px 0em #0a0a0a;
  color: $sub-white;
}

.print-list-btn {
  .fa-stack {
    font-size: 2.3rem;
  }
}

.print-list-btn:active {
  .badge,
  .icon {
    opacity: 0.5;
  }
}

$radius: 1.9rem;
.badge {
  height: $radius;
  width: $radius;
  line-height: $radius;
  border-radius: 50%;
  text-align: center;
  color: black;
  font-weight: bold;
  font-size: 1rem;
  position: absolute;
  top: -5px;
  right: -5px;
  z-index: 10;
  background-color: #fcee21;
  box-shadow: -2px 2px 7px 0px black;
}

.has-text-sub-white {
  color: $sub-white;
}

.inline-icon {
  .fa-stack {
    font-size: 0.75rem;
  }
  i {
    vertical-align: middle;
  }
}

.coco-btn {
  width: 90vw;
  max-width: 400px;
  padding: 2rem;
  background-color: $primary;
  border: 0.3rem solid white;
}

.catch-phrase {
  inset: 0px;
  width: 100%;
  margin-top: 1.8rem;
  font-weight: 800;
  text-shadow: 2px 2px 8px #000000aa, -2px 2px 8px #000000aa;
}
